| ISF 2.2 rev 5 Intelligent Sensing Framework for Kinetis with Processor Expert

- Main Page
- Modules
- Data Structures
- Files

Data Structures | Macros | Enumerations | Functions | Variables
fsl_mpl3115_i2c_1D_press module documentation

## Data Structures
struct | dataPair_t
struct | fLfiTable_t
struct | mpl3115_Specific_Settings_t
| This structure defines important settings. More...
struct | mpl3115_DataBuffer_t
| This structure defines the dummy DSA data buffer format. More...
struct | mpl3115_OS_Table_t
| the structure defines the OS table for MPL3115 operation. More...

## Macros
#define | MPL3115_PRESS_FLOAT_CONVERSION_FACTOR 0.000000061035
#define | MPL3115_PRESS_FLOAT_CONVERSION_OFFSET 0.0
#define | MPL3115_PRESS_FIXED_CONVERSION_FACTOR (1000/4)
#define | MPL3115_PRESS_FIXED_CONVERSION_OFFSET 0
#define | MPL3115_ALT_FLOAT_CONVERSION_FACTOR (1.0F/65536.0F)
#define | MPL3115_ALT_FLOAT_CONVERSION_OFFSET 0.0
#define | MPL3115_ALT_FIXED_CONVERSION_FACTOR 1
#define | MPL3115_ALT_FIXED_CONVERSION_OFFSET 0
#define | MPL3115_TEMP_FLOAT_CONVERSION_FACTOR (1.0F/256.0F)
#define | MPL3115_TEMP_FLOAT_CONVERSION_OFFSET 0.0
#define | MPL3115_TEMP_FIXED_CONVERSION_FACTOR 256
#define | MPL3115_TEMP_FIXED_CONVERSION_OFFSET 0
#define | BYTES_FOR_FULL_READ 5
| This function retrieves the raw data from the MPL3115 sensor. More...
#define | ABSOLUTE_VALUE(x) ( (x) < 0.0 ? (-(x)) : (x))
#define | ZERO_EPSILON (1.0E-10)
#define | IS_PRACTICALLY_ZERO(x) ( ABSOLUTE_VALUE(x) < ZERO_EPSILON )

## Enumerations
enum | { LFI_NO_EXTRAPOLATION = 0, LFI_TABLE_LIMITS = 1, LFI_EXTRAPOLATE = 2 }
enum | { LFI_SUCCESS = 0, LFI_BAD_TABLE = -1, LFI_BAD_PTR = -2, LFI_OUT_OF_RANGE = -3 }
enum | { FSL_MPL3115_ACCEL_800HZ = 1250, FSL_MPL3115_ACCEL_400HZ = 2500, FSL_MPL3115_ACCEL_200HZ = 5000, FSL_MPL3115_ACCEL_100HZ = 10000, FSL_MPL3115_ACCEL_50HZ = 20000, FSL_MPL3115_ACCEL_12p5HZ = 80000, FSL_MPL3115_ACCEL_6p25HZ = 160000, FSL_MPL3115_ACCEL_1p56HZ = 640000 }
| This enumerator describes the available sample rates for the MPL3115 accelerometer. More...
enum | { FSL_MPL3115_ACCEL_SCALE_2G = 0, FSL_MPL3115_ACCEL_SCALE_4G = 1, FSL_MPL3115_ACCEL_SCALE_8G = 2 }
| This enumerator describes the available acceleration ranges for the MM865X family of accelerometers. More...

## Functions
long | fLfi (const fLfiTable_t *lookupTable, float lFiIn, float *lfiOut)
void | mpl3115_Reset (int32_t *status, void *pSensorHandle)
| This function resets the MPL3115 sensor resulting in a default configuration for all registers. More...
void | mpl3115_CheckId (int32_t *status, void *pSensorHandle)
| This function validates the MPL3115 sensor is connected via the I2C bus. More...
void | mpl3115_SetMode (int32_t *status, void *pSensorHandle, int32_t Mode)
| This function sets the MPL3115 part to the requested mode. More...
void | mpl3115_ValidateConfig (int32_t *status, void *pSensorHandle)
| This function validates the configuration for the MPL3115 sensor. More...
void | mpl3115_StartSample (int32_t *status, void *pSensorHandle)
| This function sets the MPL3115 part to the requested mode. More...
void | mpl3115_DataReady (int32_t *status, void *pSensorHandle)
| This function sets the MPL3115 part to the requested mode. More...
isf_dsa_status_t | mpl3115_SetConfig (isf_SensorHandle_t *pSensorHandle, isf_dsa_SensorSettings_t *pConfigSettings)
| This function sets the MPL3115 sensor configuration. More...
int32 | convertPressureToAltitude (uint32 pressure)
isf_dsa_status_t | mpl3115_GetData (isf_SensorHandle_t *pSensorHandle, mpl3115_DataBuffer_t *pData)
isf_dsa_status_t | fsl_mpl3115_i2c_1D_press_Initialize (isf_SensorHandle_t *pSensorHandle)
isf_dsa_status_t | fsl_mpl3115_i2c_1D_press_ValidateSettings (isf_SensorHandle_t *pSensorHandle, isf_dsa_SensorSettings_t *pSensorSettings)
isf_dsa_status_t | fsl_mpl3115_i2c_1D_press_Configure (isf_SensorHandle_t *pSensorHandle, isf_dsa_SensorSettings_t *pSensorSettings)
isf_dsa_status_t | fsl_mpl3115_i2c_1D_press_StartData (isf_SensorHandle_t *pSensorHandle)
isf_dsa_status_t | fsl_mpl3115_i2c_1D_press_EndData (isf_SensorHandle_t *pSensorHandle)
isf_dsa_status_t | fsl_mpl3115_i2c_1D_press_Calibrate (isf_SensorHandle_t *pSensorHandle, void *pCalData)
isf_dsa_status_t | fsl_mpl3115_i2c_1D_press_Shutdown (isf_SensorHandle_t *pSensorHandle)
void | fsl_mpl3115_i2c_1D_press_PeriodicCallback (void *pSensorHandle)
isf_dsa_status_t | fsl_mpl3115_i2c_1D_press_Convert (volatile isf_SensorHandle_t *pSensorHandle, isf_SensorDataTypes_t convertToType, isf_dsa_result_types_t resultType, void *pNativeSample, void *pConvertedSample, int32 *numBytes)
| This function coverts the raw sample data to the desired output type. More...

## Variables
const mpl3115_OS_Table_t | mpl3115_osTable []
| The table that describes the configuration value based on OS (oversample ratio). More...
isf_SensorTypes_t | mpl3115_SupportedSensorTypes [] = { TYPE_THERMOMETER, TYPE_ALTIMETER, TYPE_BAROMETER, TYPE_ABSOLUTE_PRESSURE_SENSOR, TYPE_NATIVE_SENSOR_TYPE }
| Supported sensor and data types for MPL3115. More...
isf_SensorDataTypes_t | mpl3115_SupportedDataTypes [] = { TYPE_TEMPERATURE, TYPE_ALTITUDE, TYPE_PRESSURE, TYPE_NATIVE_SENSOR_DATA_TYPE }
isf_SensorTypes_t | mpl3115_SupportedSensorTypes []
| Supported sensor and data types for MPL3115. More...
isf_SensorDataTypes_t | mpl3115_SupportedDataTypes []

## Detailed Description

## Macro Definition Documentation

#define ABSOLUTE_VALUE | ( |  | x | ) | ( (x) < 0.0 ? (-(x)) : (x))

Definition at line 1104 of file fsl_mpl3115_i2c_1D_press.c.

#define BYTES_FOR_FULL_READ 5

This function retrieves the raw data from the MPL3115 sensor.

Definition at line 1003 of file fsl_mpl3115_i2c_1D_press.c.

Referenced by mpl3115_GetData().

#define IS_PRACTICALLY_ZERO | ( |  | x | ) | ( ABSOLUTE_VALUE(x) < ZERO_EPSILON )

Definition at line 1106 of file fsl_mpl3115_i2c_1D_press.c.

Referenced by fLfi().

#define MPL3115_ALT_FIXED_CONVERSION_FACTOR 1

Definition at line 46 of file fsl_mpl3115_i2c_1D_press.c.

#define MPL3115_ALT_FIXED_CONVERSION_OFFSET 0

Definition at line 47 of file fsl_mpl3115_i2c_1D_press.c.

#define MPL3115_ALT_FLOAT_CONVERSION_FACTOR (1.0F/65536.0F)

Definition at line 44 of file fsl_mpl3115_i2c_1D_press.c.

#define MPL3115_ALT_FLOAT_CONVERSION_OFFSET 0.0

Definition at line 45 of file fsl_mpl3115_i2c_1D_press.c.

#define MPL3115_PRESS_FIXED_CONVERSION_FACTOR (1000/4)

Definition at line 42 of file fsl_mpl3115_i2c_1D_press.c.

#define MPL3115_PRESS_FIXED_CONVERSION_OFFSET 0

Definition at line 43 of file fsl_mpl3115_i2c_1D_press.c.

#define MPL3115_PRESS_FLOAT_CONVERSION_FACTOR 0.000000061035

Definition at line 40 of file fsl_mpl3115_i2c_1D_press.c.

#define MPL3115_PRESS_FLOAT_CONVERSION_OFFSET 0.0

Definition at line 41 of file fsl_mpl3115_i2c_1D_press.c.

#define MPL3115_TEMP_FIXED_CONVERSION_FACTOR 256

Definition at line 50 of file fsl_mpl3115_i2c_1D_press.c.

#define MPL3115_TEMP_FIXED_CONVERSION_OFFSET 0

Definition at line 51 of file fsl_mpl3115_i2c_1D_press.c.

#define MPL3115_TEMP_FLOAT_CONVERSION_FACTOR (1.0F/256.0F)

Definition at line 48 of file fsl_mpl3115_i2c_1D_press.c.

#define MPL3115_TEMP_FLOAT_CONVERSION_OFFSET 0.0

Definition at line 49 of file fsl_mpl3115_i2c_1D_press.c.

#define ZERO_EPSILON (1.0E-10)

Definition at line 1105 of file fsl_mpl3115_i2c_1D_press.c.

## Enumeration Type Documentation

anonymous enum

Enumerator
LFI_NO_EXTRAPOLATION |
LFI_TABLE_LIMITS |
LFI_EXTRAPOLATE |

Definition at line 52 of file fsl_mpl3115_i2c_1D_press.c.

anonymous enum

Enumerator
LFI_SUCCESS |
LFI_BAD_TABLE |
LFI_BAD_PTR |
LFI_OUT_OF_RANGE |

Definition at line 58 of file fsl_mpl3115_i2c_1D_press.c.

anonymous enum

This enumerator describes the available sample rates for the MPL3115 accelerometer.

Enumerator
FSL_MPL3115_ACCEL_800HZ | 800 Hz
FSL_MPL3115_ACCEL_400HZ | 400 Hz
FSL_MPL3115_ACCEL_200HZ | 200 Hz
FSL_MPL3115_ACCEL_100HZ | 100 Hz
FSL_MPL3115_ACCEL_50HZ | 50 Hz
FSL_MPL3115_ACCEL_12p5HZ | 12.5 Hz
FSL_MPL3115_ACCEL_6p25HZ | 6.25 Hz
FSL_MPL3115_ACCEL_1p56HZ | 1.56 Hz

Definition at line 23 of file fsl_mpl3115_i2c_1D_press.h.

anonymous enum

This enumerator describes the available acceleration ranges for the MM865X family of accelerometers.

Enumerator
FSL_MPL3115_ACCEL_SCALE_2G | select +/-2G range
FSL_MPL3115_ACCEL_SCALE_4G | select +/-4G range
FSL_MPL3115_ACCEL_SCALE_8G | select +/-8G range

Definition at line 35 of file fsl_mpl3115_i2c_1D_press.h.

## Function Documentation

int32 convertPressureToAltitude | ( | uint32 | pressure | ) |

Definition at line 1090 of file fsl_mpl3115_i2c_1D_press.c.

References fLfi().

Referenced by mpl3115_GetData().

Here is the call graph for this function:

Here is the caller graph for this function:

long fLfi | ( | const fLfiTable_t * | lookupTable,
|  | float | lFiIn,
|  | float * | lfiOut
| ) |  |

Definition at line 1107 of file fsl_mpl3115_i2c_1D_press.c.

References fLfiTable_t::dataPoints, fLfiTable_t::extrapolationBehavior, IS_PRACTICALLY_ZERO, LFI_BAD_PTR, LFI_BAD_TABLE, LFI_NO_EXTRAPOLATION, LFI_OUT_OF_RANGE, LFI_SUCCESS, LFI_TABLE_LIMITS, fLfiTable_t::maxIdx, dataPair_t::x, and dataPair_t::y.

Referenced by convertPressureToAltitude().

Here is the caller graph for this function:

isf_dsa_status_t fsl_mpl3115_i2c_1D_press_Calibrate | ( | isf_SensorHandle_t * | pSensorHandle,
|  | void * | pCalData
| ) |  |

Definition at line 551 of file fsl_mpl3115_i2c_1D_press.c.

References ISF_SUCCESS.

isf_dsa_status_t fsl_mpl3115_i2c_1D_press_Configure | ( | isf_SensorHandle_t * | pSensorHandle,
|  | isf_dsa_SensorSettings_t * | pSensorSettings
| ) |  |

Definition at line 330 of file fsl_mpl3115_i2c_1D_press.c.

References isf_SensorHandle_st::adapterStatus, BM_ERROR, bm_register_periodic_callback(), DeviceDescriptor_struct::cDescriptor, isf_SensorHandle_st::controlData, DeviceDescriptor_struct::deviceSemaphore, dm_channel_acquire_lock(), dm_channel_release_lock(), DSA_ERR_CONFIGURE, DSA_ERR_PARAM, DSA_STATE_CONFIGURED_STOPPED, DSA_STATE_INITIALIZED, fsl_mpl3115_i2c_1D_press_PeriodicCallback(), ISF_SUCCESS, mpl3115_SetConfig(), mpl3115_SetMode(), isf_dsa_SensorSettings_st::nSamplePeriod, isf_SensorHandle_st::pDeviceDescriptor, SENSOR_STANDBY, isf_dsa_ControlData_st::sensorSettings, and DeviceDescriptor_struct::token.

Here is the call graph for this function:

isf_dsa_status_t fsl_mpl3115_i2c_1D_press_Convert | ( | volatile isf_SensorHandle_t * | pSensorHandle,
|  | isf_SensorDataTypes_t | convertToType,
|  | isf_dsa_result_types_t | resultType,
|  | void * | pNativeSample,
|  | void * | pConvertedSample,
|  | int32 * | numBytes
| ) |  |

This function coverts the raw sample data to the desired output type.

Definition at line 713 of file fsl_mpl3115_i2c_1D_press.c.

References DSA_ERR_BAD_RESULT_TYPE, DSA_ERR_BAD_SENSOR_DATA_TYPE, DSA_RESULT_TYPE_ENG_FIXED, DSA_RESULT_TYPE_ENG_FLOAT, SensorConfig_st::pSensorSpecificSettings, isf_SensorHandle_st::pSensorStaticConfig, TYPE_ALTITUDE, TYPE_PRESSURE, and TYPE_TEMPERATURE.

Referenced by fsl_mpl3115_i2c_1D_press_PeriodicCallback().

Here is the caller graph for this function:

isf_dsa_status_t fsl_mpl3115_i2c_1D_press_EndData | ( | isf_SensorHandle_t * | pSensorHandle | ) |

Definition at line 484 of file fsl_mpl3115_i2c_1D_press.c.

References isf_SensorHandle_st::adapterStatus, BM_ERROR, bm_stop(), DeviceDescriptor_struct::deviceSemaphore, DSA_ERR_END_DATA, DSA_ERR_PARAM, DSA_STATE_CONFIGURED_STARTED, DSA_STATE_CONFIGURED_STOPPED, ISF_SUCCESS, mpl3115_SetMode(), isf_SensorHandle_st::pDeviceDescriptor, SENSOR_STANDBY, and DeviceDescriptor_struct::token.

Here is the call graph for this function:

isf_dsa_status_t fsl_mpl3115_i2c_1D_press_Initialize | ( | isf_SensorHandle_t * | pSensorHandle | ) |

Definition at line 206 of file fsl_mpl3115_i2c_1D_press.c.

References isf_SensorHandle_st::adapterStatus, mpl3115_DataBuffer_t::altitude, DeviceDescriptor_struct::cDescriptor, SensorConfig_st::channelId, COMM_STATE_OK, SensorConfig_st::commInfo, DeviceDescriptor_struct::deviceHandle, DeviceDescriptor_struct::deviceSemaphore, dm_channel_get_state(), dm_channel_init(), dm_channel_start(), dm_device_open(), DSA_ERR_INITIALIZE, DSA_ERR_PARAM, DSA_STATE_INITIALIZED, DSA_STATE_NOT_INITIALIZED, ISF_SUCCESS, mpl3115_CheckId(), DeviceDescriptor_struct::pCurrentSample, isf_SensorHandle_st::pDeviceDescriptor, mpl3115_DataBuffer_t::pressure, isf_SensorHandle_st::pSensorStaticConfig, DeviceDescriptor_struct::skipFramecnt, mpl3115_DataBuffer_t::temperature, and mpl3115_DataBuffer_t::timestamp.

Here is the call graph for this function:

void fsl_mpl3115_i2c_1D_press_PeriodicCallback | ( | void * | pSensorHandle | ) |

Definition at line 600 of file fsl_mpl3115_i2c_1D_press.c.

References isf_SensorHandle_st::adapterStatus, isf_SensorHandle_st::controlData, DeviceDescriptor_struct::deviceSemaphore, DSA_STATE_CONFIGURED_STARTED, fsl_mpl3115_i2c_1D_press_Convert(), isf_fifo_el_get_insert_pointer(), isf_fifo_el_increment(), ISF_FIFO_FULL, isf_fifo_lock(), isf_fifo_unlock(), ISF_SUCCESS, isf_time_util_get_usec(), mpl3115_GetData(), mpl3115_StartSample(), isf_dsa_ControlData_st::nEventFieldIndex, DeviceDescriptor_struct::pCurrentSample, isf_SensorHandle_st::pDeviceDescriptor, isf_dsa_ControlData_st::pEventGroup, isf_dsa_SensorSettings_st::pSampleBufferInfo, isf_dsa_SensorSettings_st::resultFormat, isf_dsa_SensorSettings_st::resultType, isf_dsa_ControlData_st::sensorSettings, DeviceDescriptor_struct::skipFramecnt, mpl3115_DataBuffer_t::timestamp, and TYPE_NATIVE_SENSOR_DATA_TYPE.

Referenced by fsl_mpl3115_i2c_1D_press_Configure().

Here is the call graph for this function:

Here is the caller graph for this function:

isf_dsa_status_t fsl_mpl3115_i2c_1D_press_Shutdown | ( | isf_SensorHandle_t * | pSensorHandle | ) |

Definition at line 571 of file fsl_mpl3115_i2c_1D_press.c.

References isf_SensorHandle_st::adapterStatus, bm_unregister_callback(), DSA_ERR_PARAM, DSA_STATE_INITIALIZED, ISF_SUCCESS, isf_SensorHandle_st::pDeviceDescriptor, and DeviceDescriptor_struct::token.

Here is the call graph for this function:

isf_dsa_status_t fsl_mpl3115_i2c_1D_press_StartData | ( | isf_SensorHandle_t * | pSensorHandle | ) |

Definition at line 421 of file fsl_mpl3115_i2c_1D_press.c.

References isf_SensorHandle_st::adapterStatus, BM_ERROR, bm_start(), DeviceDescriptor_struct::deviceSemaphore, DSA_ERR_PARAM, DSA_ERR_START_DATA, DSA_STATE_CONFIGURED_STARTED, DSA_STATE_CONFIGURED_STOPPED, FALSE, ISF_SUCCESS, mpl3115_StartSample(), isf_SensorHandle_st::pDeviceDescriptor, and DeviceDescriptor_struct::token.

Here is the call graph for this function:

isf_dsa_status_t fsl_mpl3115_i2c_1D_press_ValidateSettings | ( | isf_SensorHandle_t * | pSensorHandle,
|  | isf_dsa_SensorSettings_t * | pSensorSettings
| ) |  |

Definition at line 301 of file fsl_mpl3115_i2c_1D_press.c.

References DSA_ERR_PARAM, and mpl3115_ValidateConfig().

Here is the call graph for this function:

void mpl3115_CheckId | ( | int32_t * | status,
|  | void * | pSensorHandle
| ) |  |

This function validates the MPL3115 sensor is connected via the I2C bus.

Definition at line 843 of file fsl_mpl3115_i2c_1D_press.c.

References DeviceDescriptor_struct::deviceHandle, dm_device_read(), ISF_SUCCESS, MPL3115_WHO_AM_I, MPL3115_WHOAMI_VALUE, isf_SensorHandle_st::pDeviceDescriptor, and SENSOR_ERROR_CHECKID.

Referenced by fsl_mpl3115_i2c_1D_press_Initialize().

Here is the call graph for this function:

Here is the caller graph for this function:

void mpl3115_DataReady | ( | int32_t * | status,
|  | void * | pSensorHandle
| ) |  |

This function sets the MPL3115 part to the requested mode.

Definition at line 984 of file fsl_mpl3115_i2c_1D_press.c.

References DeviceDescriptor_struct::deviceHandle, and isf_SensorHandle_st::pDeviceDescriptor.

isf_dsa_status_t mpl3115_GetData | ( | isf_SensorHandle_t * | pSensorHandle,
|  | mpl3115_DataBuffer_t * | pData
| ) |  |

Definition at line 1005 of file fsl_mpl3115_i2c_1D_press.c.

References mpl3115_DataBuffer_t::altitude, BYTES_FOR_FULL_READ, convertPressureToAltitude(), DeviceDescriptor_struct::deviceHandle, dm_device_read(), ISF_SUCCESS, MPL3115_OUT_P_MSB, isf_SensorHandle_st::pDeviceDescriptor, mpl3115_DataBuffer_t::pressure, SENSOR_ERROR_GETDATA, and mpl3115_DataBuffer_t::temperature.

Referenced by fsl_mpl3115_i2c_1D_press_PeriodicCallback().

Here is the call graph for this function:

Here is the caller graph for this function:

void mpl3115_Reset | ( | int32_t * | status,
|  | void * | pSensorHandle
| ) |  |

This function resets the MPL3115 sensor resulting in a default configuration for all registers.

Definition at line 818 of file fsl_mpl3115_i2c_1D_press.c.

References DeviceDescriptor_struct::deviceHandle, dm_device_write(), DSA_ERR_INITIALIZE, ISF_SUCCESS, MPL3115_CTRL_REG1, MPL3115_RST_MASK, and isf_SensorHandle_st::pDeviceDescriptor.

Here is the call graph for this function:

isf_dsa_status_t mpl3115_SetConfig | ( | isf_SensorHandle_t * | pSensorHandle,
|  | isf_dsa_SensorSettings_t * | pConfigSettings
| ) |  |

This function sets the MPL3115 sensor configuration.

Definition at line 1049 of file fsl_mpl3115_i2c_1D_press.c.

References DeviceDescriptor_struct::deviceHandle, dm_device_write(), DSA_ERR_CONFIGURE, ISF_SUCCESS, MPL3115_CTRL_REG1, MPL3115_CTRL_REG2, MPL3115_ERROR, MPL3115_SET_FIELD, isf_dsa_SensorSettings_st::nSamplePeriod, isf_SensorHandle_st::pDeviceDescriptor, SensorConfig_st::pSensorSpecificSettings, and isf_SensorHandle_st::pSensorStaticConfig.

Referenced by fsl_mpl3115_i2c_1D_press_Configure().

Here is the call graph for this function:

Here is the caller graph for this function:

void mpl3115_SetMode | ( | int32_t * | status,
|  | void * | pSensorHandle,
|  | int32_t | Mode
| ) |  |

This function sets the MPL3115 part to the requested mode.

Definition at line 895 of file fsl_mpl3115_i2c_1D_press.c.

References DeviceDescriptor_struct::deviceHandle, and isf_SensorHandle_st::pDeviceDescriptor.

Referenced by fsl_mpl3115_i2c_1D_press_Configure(), and fsl_mpl3115_i2c_1D_press_EndData().

Here is the caller graph for this function:

void mpl3115_StartSample | ( | int32_t * | status,
|  | void * | pSensorHandle
| ) |  |

This function sets the MPL3115 part to the requested mode.

Definition at line 958 of file fsl_mpl3115_i2c_1D_press.c.

References DeviceDescriptor_struct::deviceHandle, and isf_SensorHandle_st::pDeviceDescriptor.

Referenced by fsl_mpl3115_i2c_1D_press_PeriodicCallback(), and fsl_mpl3115_i2c_1D_press_StartData().

Here is the caller graph for this function:

void mpl3115_ValidateConfig | ( | int32_t * | status,
|  | void * | pSensorHandle
| ) |  |

This function validates the configuration for the MPL3115 sensor.

Definition at line 866 of file fsl_mpl3115_i2c_1D_press.c.

References isf_SensorHandle_st::controlData, DSA_ERR_PARAM, DSA_ERR_VALIDATE_SETTINGS, ISF_SUCCESS, isf_dsa_SensorSettings_st::nSamplePeriod, and isf_dsa_ControlData_st::sensorSettings.

Referenced by fsl_mpl3115_i2c_1D_press_ValidateSettings().

Here is the caller graph for this function:

## Variable Documentation

const mpl3115_OS_Table_t mpl3115_osTable[]

Initial value:
={
{ 10000, 1},
{ 20000, 2},
{ 40000, 3},
{ 100000, 4},
{ 200000, 5},
{ 500000, 6},
{ 1000000, 7},
}

The table that describes the configuration value based on OS (oversample ratio).

Definition at line 157 of file fsl_mpl3115_i2c_1D_press.c.

isf_SensorDataTypes_t mpl3115_SupportedDataTypes[]

Definition at line 168 of file fsl_mpl3115_i2c_1D_press.c.

isf_SensorDataTypes_t mpl3115_SupportedDataTypes[] = { TYPE_TEMPERATURE, TYPE_ALTITUDE, TYPE_PRESSURE, TYPE_NATIVE_SENSOR_DATA_TYPE }

Definition at line 168 of file fsl_mpl3115_i2c_1D_press.c.

isf_SensorTypes_t mpl3115_SupportedSensorTypes[]

Supported sensor and data types for MPL3115.

Definition at line 167 of file fsl_mpl3115_i2c_1D_press.c.

isf_SensorTypes_t mpl3115_SupportedSensorTypes[] = { TYPE_THERMOMETER, TYPE_ALTIMETER, TYPE_BAROMETER, TYPE_ABSOLUTE_PRESSURE_SENSOR, TYPE_NATIVE_SENSOR_TYPE }

Supported sensor and data types for MPL3115.

Definition at line 167 of file fsl_mpl3115_i2c_1D_press.c.

- © Freescale Semiconductor, Inc. 2016. All Rights Reserved.